Subject: Re: [PATCH] developer: remove gcc 12 workaround

From: Phillip Wood <[email-masked]>
Date: Wed, 26 Apr 2023 16:00:08 +0100

Hi Carlo

On 26/04/2023 07:41, Carlo Arenas wrote:
> On Tue, Apr 25, 2023 at 8:45 PM Eric Sunshine <[email-masked]> wrote:
>>
>> On Tue, Apr 25, 2023 at 9:47 PM Carlo Marcelo Arenas Belón
>> <[email-masked]> wrote:
>>> Since 846a29afb0 (config.mak.dev: workaround gcc 12 bug affecting
>>> "pedantic" CI job, 2022-04-15), DEVELOPER mode has this workaround
>>> for the version of gcc that was released with Fedora 36.
>>>
>>> That version of Fedora is about to be EOL and latest versions of
>>> the compiler don't have that bug anymore, so remove the workaround.
>>>
>>> Tested not to trigger with latest gcc packages from the last 3
>>> Fedora releases, including gcc 13 from Fedora 38.
>>
>> The commit message doesn't explain the benefit of removing this
>> workaround. Is it because it's a maintenance burden? Or is it
>> preventing some future planned improvement in this area?
> 
> The workaround was added for the benefit of the CI and to prevent
> failures because the buggy warning will otherwise make it fail because
> of -Werror when Fedora 36 was released and our CI started using it.
> 
> Our CI doesn't need it anymore to avoid that issue.

Our CI may not need it but what users of other distributions using gcc 
12? The link[1] in the commit message for 846a29afb0 suggests that 
debian was also affected at that time so the bug was not a fedora 
specific. We could perhaps tighten the check if we know which specific 
versions of gcc 12 are affected but it is not clear that removing it 
entirely is a good idea.

Best Wishes

Phillip

[1] https://bugzilla.redhat.com/show_bug.cgi?id=2075786

>> What is the
>> justification for penalizing users who might be stuck on Fedora 36 for
>> some reason or another?
> 
> I certainly didn't intend on penalizing any users, but I frankly
> suspect there aren't any, as the bug was fixed long ago, and it
> wouldn't affect them unless no gcc updates were ever done on their
> systems.
> 
> Carlo